上下文和依赖注入(CDI)

此功能仅在Ultimate版本中受支持。

提示:以下仅在安装和启用上下文和依赖项注入插件时有效!

IntelliJ IDEA中的上下文和依赖注入(CDI)支持基于Java EE:Context和Dependency Injection插件。这个插件与IDE捆绑在一起,并在默认情况下启用。

您可以在创建项目或模块时可以启用CDI支持。您还可以为现有模块添加CDI支持。

模块中的CDI由模块依赖项中的相应CDI库表示。您可以从IDE中直接下载所有必需的库文件。您也可以在需要时更改正在使用的CDI版本。

确保CDI支持插件已启用

要确保CDI支持插件已启用,请按照下列步骤操作:

尽管默认情况下启用了CDI支持插件,但在开始使用CDI之前,始终应该确保此插件仍处于启用状态。

  1. 打开设置对话框 (例如,Ctrl+Alt+S)。
  2. 在对话框的左侧部分,选择插件(Plugins)。
  3. 在对话框的右侧部分的插件页面上,在搜索框中输入cd。因此,插件列表中只显示其名称和说明包含cd的插件。
  4. 如果未选中Java EE: 上下文和依赖关系注入(Java EE:Context and Dependency Injection)右侧的复选框,则请选择它。
  5. 在设置对话框中单击“确定”。
  6. 如果建议,请重新启动IntelliJ IDEA。

创建项目或模块时启用CDI支持

要启用CDI支持,请按照下列步骤操作:

  1. 执行以下操作之一:
    • 如果要创建新项目,请单击欢迎界面上的“新建项目(Create New Project)”或选择:文件|新增|项目(File | New | Project)。

      结果,新建项目向导(New Project wizard)打开。

    • 如果您要将模块添加到现有项目中:打开您想要添加模块的项目,然后选择:文件|新增|模块(File | New | Module)。

      结果,新建项目向导(New Project wizard)打开。

  2. 在向导的第一页上的左侧窗格中,选择Java Enterprise。在页面的右侧部分,指定要使用的JDK并选择要支持的Java EE版本。
  3. 在其他库和框架下,选择“CDI:上下文和依赖注入(CDI: Context and Dependency Injection)”复选框。
  4. 你需要一个实现CDI的库。您可以选择使用现有的库,创建并使用新的库,如果您的计算机上还没有可用的库文件,请下载这些库文件,或者延迟设置库以备后用。
    • 使用库(Use library)。从列表中选择要使用的库(如果相应的库已经在IntelliJ IDEA中定义)。

      创建(Creat)。如果相应的库文件(.jar)已经在您的计算机上并且可用,您可以将这些文件安排在库中并使用该新库。为此,请单击“创建(Creat)”,然后在打开的对话框中选择必要的文件。(使用Ctrl键进行多项选择。)

      或者,单击配置(Configure)以编辑选定的库。(对于现有的库,“编辑库(Edit Library)”对话框将打开,用于您刚创建的库 - “ 创建库(Create Library)”对话框。)

    • 下载(Download)。 选择此选项可下载实现CDI的库文件。(下载的文件将被安排在一个库中。)

      或者,单击配置(Configure)以编辑库设置和内容。(“下载选项(Downloading Options)”对话框将打开。)

    • 稍后设置库(Set up library later)。选择此选项将推迟设置库。

    配置(Configure)。单击此按钮以编辑在使用库或即将下载的库旁边选择的库的设置。

    点击“下一步”。

  5. 指定名称和位置设置。

    点击“完成”。

为现有模块添加CDI支持

为现有模块添加CDI支持的操作步骤如下:

  1. 打开项目(Project)工具窗口(例如,查看|工具窗口|项目(View | Tool Windows | Project))。
  2. 右键单击感兴趣的模块并选择“添加框架支持(Add Framework Support)”。
  3. 在打开的“添加框架支持(Add Framework Support)”对话框的左侧窗格中,选择“CDI:上下文和依赖注入(CDI: Context and Dependency Injection)”复选框。
  4. 你需要一个实现CDI的库。您可以选择使用现有的库,创建并使用新的库,如果您的计算机上还没有可用的库文件,请下载这些库文件,或者延迟设置库以备后用。
    • 使用库(Use library)。从列表中选择要使用的库(如果相应的库已经在IntelliJ IDEA中定义)。

      创建(Creat)。如果相应的库文件(.jar)已经在您的计算机上并且可用,您可以将这些文件安排在库中并使用该新库。为此,请单击“创建(Creat)”,然后在打开的对话框中选择必要的文件。(使用Ctrl键进行多项选择。)

      或者,单击配置(Configure)以编辑选定的库。(对于现有的库,“编辑库(Edit Library)”对话框将打开,用于您刚创建的库 - “创建库(Create Library)”对话框。)

    • 下载(Download)。选择此选项可下载实现CDI的库文件。(下载的文件将被安排在一个库中。)

      或者,单击配置(Configure)以编辑库设置和内容。(“下载选项(Downloading Options)”对话框将打开。)

    • 稍后设置库(Set up library later)。选择此选项将推迟设置库。

    配置(Configure)。单击此按钮以编辑在使用库或即将下载的库旁边选择的库的设置。

  5. 在“添加框架支持(Add Framework Support)”对话框中单击“确定”。

因此,您指定的CDI库被添加到模块依赖关系列表中。

更改CDI版本

  1. 打开项目结构(Project Structure)对话框(例如,Ctrl+Shift+Alt+S)。
  2. 选择您想要更改其版本的CDI库。
  3. 点击更改版本(Change Version)。(如果您位于依赖关系(Dependencies)选项卡上,请先选择编辑该库。)
  4. 在打开的“下载选项(Downloading Options)”对话框中,选择必要的CDI版本,根据需要指定其他设置,然后单击“确定”。
以上内容是否对您有帮助:
在线笔记
App下载
App下载

扫描二维码

下载编程狮App

公众号
微信公众号

编程狮公众号

意见反馈
返回顶部